create
POST
/order-import/{apiKey}
const url = 'https://api-crm-staging.divinea.com/api/order-import/example';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"address":"example","addressName":"example","amountCents":1,"amountDiscountCents":1,"amountExciseDutyCents":1,"amountShipmentCents":1,"amountVatCents":1,"amountVatPercentage":1,"buyerEmail":"example","buyerFirstname":"example","buyerLastname":"example","buyerPhone":"example","city":"example","countryIso":"example","date":"2026-04-15","id":"example","items":[{"amountCents":1,"amountDiscountCents":1,"externalId":"example","name":"example","quantity":1}],"notes":"example","paymentMethod":"example","province":"example","quantity":1,"region":"example","status":"example","zipcode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/order-import/example \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "address": "example", "addressName": "example", "amountCents": 1, "amountDiscountCents": 1, "amountExciseDutyCents": 1, "amountShipmentCents": 1, "amountVatCents": 1, "amountVatPercentage": 1, "buyerEmail": "example", "buyerFirstname": "example", "buyerLastname": "example", "buyerPhone": "example", "city": "example", "countryIso": "example", "date": "2026-04-15", "id": "example", "items": [ { "amountCents": 1, "amountDiscountCents": 1, "externalId": "example", "name": "example", "quantity": 1 } ], "notes": "example", "paymentMethod": "example", "province": "example", "quantity": 1, "region": "example", "status": "example", "zipcode": "example" }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”apiKey
required
string
ApiKey
Request Body
Sezione intitolata “Request Body”Request
Media typeapplication/json
RequestExternalOrder
object
address
string
addressName
string
amountCents
integer format: int64
amountDiscountCents
integer format: int64
amountExciseDutyCents
integer format: int32
amountShipmentCents
integer format: int64
amountVatCents
integer format: int32
amountVatPercentage
number format: double
buyerEmail
string
buyerFirstname
string
buyerLastname
string
buyerPhone
string
city
string
countryIso
string
date
string format: date
id
string
items
Array<object>
Itemobject
amountCents
integer format: int64
amountDiscountCents
integer format: int64
externalId
string
name
string
quantity
integer format: int64
notes
string
paymentMethod
string
province
string
quantity
integer format: int64
region
string
status
string
zipcode
string
Examplegenerated
{ "address": "example", "addressName": "example", "amountCents": 1, "amountDiscountCents": 1, "amountExciseDutyCents": 1, "amountShipmentCents": 1, "amountVatCents": 1, "amountVatPercentage": 1, "buyerEmail": "example", "buyerFirstname": "example", "buyerLastname": "example", "buyerPhone": "example", "city": "example", "countryIso": "example", "date": "2026-04-15", "id": "example", "items": [ { "amountCents": 1, "amountDiscountCents": 1, "externalId": "example", "name": "example", "quantity": 1 } ], "notes": "example", "paymentMethod": "example", "province": "example", "quantity": 1, "region": "example", "status": "example", "zipcode": "example"}Responses
Sezione intitolata “Responses”OK
Media type*/*
string